# $Revision: 1.39 $, $Date: 2003/05/28 12:59:12 $
Summary:	Programs to configure ISA Plug-and-Play devices
Summary(es):	Programas para configurar dispositivos Plug-and-Play ISA en una mquina linux
Summary(pl):	Narzdzia do konfigurowania urzdze Plug-and-Play
Summary(pt_BR):	Programas para configurar dispositivos Plug-and-Play ISA numa mquina Linux
Summary(ru):	   ISA Plug-and-Play (PnP) 
Summary(uk):	  Ʀæ ISA Plug-and-Play (PnP) ϧ
Name:		isapnptools
Version:	1.26
Release:	6
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.demon.co.uk/pub/unix/linux/utils/%{name}-%{version}.tgz
# Source0-md5:	26def2016548edeafe383113f0bc8ac6
Patch0:		%{name}-ac_fix.patch
Patch1:		%{name}-getopt.patch
URL:		http://www.roestock.demon.co.uk/isapnptools/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
Requires(post):	fileutils
Requires(post):	grep
Requires(post):	sed
ExclusiveArch:	%{ix86} alpha
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		_sysconfdir	/etc/isapnp

%description
The isapnptools package contains utilities for configuring ISA
Plug-and-Play (PnP) cards/boards which are in compliance with the PnP
ISA Specification Version 1.0a. ISA PnP cards use registers instead of
jumpers for setting the board address and interrupt assignments. The
cards also contain descriptions of the resources which need to be
allocated. The BIOS on your system, or isapnptools, uses a protocol
described in the specification to find all of the PnP boards and
allocate the resources so that none of them conflict.

Note that the BIOS doesn't do a very good job of allocating resources.
So isapnptools is suitable for all systems, whether or not they
include a PnP BIOS. In fact, a PnP BIOS adds some complications. A PnP
BIOS may already activate some cards so that the drivers can find
them. Then these tools can unconfigure them or change their settings,
causing all sorts of nasty effects. If you have PnP network cards that
already work, you should read through the documentation files very
carefully before you use isapnptools.

%description -l es
Estos programas permiten que dispositivos ISA Plug-and-Play sean
configurados en una mquina Linux. Este programa es apropiado para
todos los sistemas, incluso cuando no tienen un BIOS PnP. Adems, un
BIOS PnP adiciona algunas complicaciones, porque puede ya tener
activado algunas tarjetas de modo que los drivers las pueden
encontrar, y las herramientas de este paquete pueden desconfigralas,
o cambiar sus configuraciones causando efectos desagradables. Si
tienes (por ejemplo) tarjetas de red plug and play que ya funcionan,
sugiero que leas con cuidado la pgina de manual isapnp.conf(5), sobre
el formato del archivo de configuracin.

%description -l pl
Programy zawarte w tym pakiecie umoliwiaj skonfigurowanie urzdze
Plug-and-Play podczonych do szyny ISA.

Narzdzia s dostosowane do wszystkich systemw i nie wymagaj
posiadania BIOS-u obsugujcego PnP.

%description -l pt_BR
Estes programas permitem que dispositivos ISA Plug-and-Play sejam
configurados numa mquina Linux.

Este programa  apropriado para todos os sistemas, mesmo que no
tenham um BIOS PnP. Alis, um BIOS PnP adiciona algumas complicaes,
porque j pode ter ativado algumas placas de modo que os drivers
possam ach-las, e as ferramentas deste pacote podem desconfigur-las,
ou mudar suas configuraes causando efeitos desagradveis. Se voc
tiver (por exemplo) placas de rede plug and play que j funcionam,
sugiro que voc leia com cuidado a pgina de manual isapnp.conf(5),
sobre o formato do arquivo de configurao.

%description -l ru
 isapnptools     ISA
Plug-and-Play (PnP) ,   PnP ISA Specification
Version 1.0a.  ISA PnP    
       .  
  ,   . BIOS 
  isapnptools     
    PnP    ,   
.

BIOS        . 
 isapnptools    ,   , 
  PnP BIOS.  , PnP BIOS  
.      ,   
  .       "",
    .    PnP
    ,    
     isapnptools.

%description -l uk
 isapnptools ͦ ̦  Ʀ ISA Plug-and-Play
(PnP) , ˦ צצ  PnP ISA Specification Version
1.0a.  ISA PnP  Ǧ ͦ ަ 
    Ϥ  .  
ͦ  Ӧ, ˦ Ҧ Ħ. BIOS ϧ  
isapnptools  ,   Ʀæ, 
 Ӧ  PnP  Ħ Ӧ ,   
̦.

BIOS    դ   Ħ Ӧ.  
isapnptools Ц  Ӧ ,  צ , 
  PnP BIOS.  ĦԦ, PnP BIOS   .
    ˦ ,     
.   æ ̦  "Ʀ" , 
 ҦΦΦ ɤΦ .    PnP צ 
˦  ,  ̦   æ  
  isapnptools.

%package devel
Summary:	Development ISA PnP libraries
Summary(pl):	Biblioteki ISA PnP dla programistw
Group:		Development/Libraries

%description devel
Development libraries for configuring ISA Plug-and-Play (PnP) devices.

%description devel -l pl
Biblioteki do rozwoju programw konfigurujcych urzdzenia ISA
Plug-and-Play (PnP).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install etc/* $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_sysconfdir}/isapnp.conf ]; then
        NEWPORT=`%{_sbindir}/pnpdump | grep READPORT 2>/dev/null`
	if [ -n "$NEWPORT" ]; then
		umask 027
	        mv -f  %{_sysconfdir}/isapnp.conf %{_sysconfdir}/isapnp.conf.rpmsave
		sed -e "s/^[^#]*(READPORT .*/$NEWPORT/" %{_sysconfdir}/isapnp.conf.rpmsave > \
			%{_sysconfdir}/isapnp.conf
	fi
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README config-scripts/YMH0021
%attr(750,root,root) %dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/*
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man[58]/*

%files devel
%defattr(644,root,root,755)
%{_libdir}/*.a
%dir %{_includedir}/isapnp
%{_includedir}/isapnp/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: isapnptools.spec,v $
Revision 1.39  2003/05/28 12:59:12  malekith
- massive attack: source-md5

Revision 1.38  2003/05/25 05:49:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.37  2003/04/09 08:07:46  djrzulf
- Release 6,

Revision 1.36  2003/04/09 07:06:40  djrzulf
- now builds,

Revision 1.35  2003/01/13 10:45:32  kloczek
- release 5: remove "Requires: %%{name} = %%{version}" from devel subpackage
  requires rules.

Revision 1.34  2002/12/29 21:18:44  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.33  2002/12/02 22:08:29  ankry
- pl Summary/description fixes
- adapterized

Revision 1.32  2002/10/28 08:13:44  marcus
- rel.4.

Revision 1.31  2002/10/09 13:14:35  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.30  2002/07/29 07:32:43  marcus
- changed ExcludeArch to ExclusiveArch

Revision 1.29  2002/07/21 18:15:50  blues
- added missing files to devel package
STBR

Revision 1.28  2002/07/21 17:57:18  blues
- translations from MDK and Manticore

Revision 1.27  2002/07/21 17:34:58  blues
- release 3
- new doc

Revision 1.26  2002/05/21 23:13:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.25  2002/04/25 16:37:43  arturs
fixed a small typo

Revision 1.24  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:13:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/10/01 08:04:19  qboosh
- BuildRequires: autoconf

Revision 1.21  2001/09/28 23:48:59  blues
- release 2
- ac2.5 ready

Revision 1.20  2001/05/09 16:15:25  misiek
- updated to 1.26

Revision 1.19  2001/04/24 01:54:29  kloczek
- updated to 1.25.

Revision 1.18  2001/01/07 21:48:02  kloczek
- updated to 1.24,
- removed obsoleted pnpdump_main patch.

Revision 1.17  2001/01/03 21:11:36  kloczek
- added flex to BuildRequires list.

Revision 1.16  2001/01/03 21:10:56  kloczek
- updated to 1.23,
- spec adapterized,
- removed obsoleted DESTDIR patch ad added using new autoconf siut,
- added pnpdump_main with small fix compilation bug src/pnpdump_main.c.

Revision 1.15  2000/06/09 07:23:03  kloczek
- added using %%{__make} macro.

Revision 1.14  2000/05/02 21:22:46  baggins
- fixed version, minor cleanup

Revision 1.13  2000/04/01 11:14:47  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.11  1999/10/30 07:53:38  wiget
- updated to 1.19

Revision 1.10  1999/07/12 23:05:59  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Apr 28 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.18-4]
- add /etc/isapnp/isapnp.gone,
- default to not using IRQ 7 on alpha,
- recompiled on new rpm.
